import type { ImageAPI, ImageSourcePropType, ImageStates, Loading } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolImage implements ImageAPI {
    _alt: string;
    _loading?: Loading;
    _sizes?: string;
    _src: ImageSourcePropType;
    _srcset?: string;
    state: ImageStates;
    validateAlt(value?: string): void;
    validateLoading(value?: Loading): void;
    validateSizes(value?: string): void;
    validateSrc(value?: ImageSourcePropType): void;
    validateSrcset(value?: string): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
